Package org.mariadb.jdbc

## Enum TransactionIsolation

- java.lang.Object
- - java.lang.Enum<TransactionIsolation>
  - - org.mariadb.jdbc.TransactionIsolation

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionIsolation>`

    public enum TransactionIsolation
    extends Enum<TransactionIsolation>

### Enum Constant Summary

Enum Constants
`READ_COMMITTED`
`READ_UNCOMMITTED`
`REPEATABLE_READ`
`SERIALIZABLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TransactionIsolation` `from​(String value)`
`int` `getLevel()`
`String` `getValue()`
`static TransactionIsolation` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TransactionIsolation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REPEATABLE_READ

    public static final TransactionIsolation REPEATABLE_READ

#### READ_COMMITTED

    public static final TransactionIsolation READ_COMMITTED

#### READ_UNCOMMITTED

    public static final TransactionIsolation READ_UNCOMMITTED

#### SERIALIZABLE

    public static final TransactionIsolation SERIALIZABLE

### Method Detail

#### values

    public static TransactionIsolation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionIsolation c : TransactionIsolation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionIsolation valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### getLevel

    public int getLevel()

#### from

    public static TransactionIsolation from​(String value)